Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TiXmlDeclaration Class Reference

`#include <tinyxml.h>`

Inheritance diagram for TiXmlDeclaration:

[legend]
Collaboration diagram for TiXmlDeclaration:

[legend]
List of all members.

## Public Member Functions
| TiXmlDeclaration ()
| Construct an empty declaration.
| TiXmlDeclaration (const char *_version, const char *_encoding, const char *_standalone)
| Construct.
virtual | ~TiXmlDeclaration ()
const char * | Version () const
| Version. Will return empty if none was found.
const char * | Encoding () const
| Encoding. Will return empty if none was found.
const char * | Standalone () const
| Is this a standalone document?
virtual TiXmlNode * | Clone () const
virtual void | Print (FILE *cfile, int depth) const
## Protected Member Functions
virtual void | StreamOut (TiXmlOutStream *out) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data)
## Private Attributes
TiXmlString | version
TiXmlString | encoding
TiXmlString | standalone

## Detailed Description

In correct XML the declaration is the first entry in the file.

    		<?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.

## Constructor & Destructor Documentation

TiXmlDeclaration::TiXmlDeclaration | ( |  | ) | `[inline]`

| Construct an empty declaration.

TiXmlDeclaration::TiXmlDeclaration | ( | const char * | _version,
|  | const char * | _encoding,
|  | const char * | _standalone
| ) |

| Construct.

virtual TiXmlDeclaration::~TiXmlDeclaration | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

TiXmlNode * TiXmlDeclaration::Clone | ( |  | ) | const`[virtual]`

| Implements TiXmlNode.

const char* TiXmlDeclaration::Encoding | ( |  | ) | const`[inline]`

| Encoding. Will return empty if none was found.

const char * TiXmlDeclaration::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data
| ) | `[protected, virtual]`

| Implements TiXmlBase.

void TiXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth
| ) | const`[virtual]`

| All TinyXml classes can print themselves to a filestream. This is a formatted print, and will insert tabs and newlines. (For an unformatted stream, use the << operator.) Implements TiXmlBase.

const char* TiXmlDeclaration::Standalone | ( |  | ) | const`[inline]`

| Is this a standalone document?

void TiXmlDeclaration::StreamOut | ( | TiXmlOutStream * | out | ) | const`[protected, virtual]`

| Implements TiXmlBase.

const char* TiXmlDeclaration::Version | ( |  | ) | const`[inline]`

| Version. Will return empty if none was found.

## Member Data Documentation

TiXmlString TiXmlDeclaration::encoding`[private]`

TiXmlString TiXmlDeclaration::standalone`[private]`

TiXmlString TiXmlDeclaration::version`[private]`

The documentation for this class was generated from the following files:

- tinyxml.h
- tinyxml.cpp
- tinyxmlparser.cpp